<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun Apr 12 19:31:53 EEST 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-12">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<div class="typeSummary">
<table>
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="bll/Canceled_bll.html" title="class in bll">Canceled_bll</a></td>
<th class="colLast" scope="row">
<div class="block">Clasa pentru interactiunea cu baza de date.</div>
</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="dao/Canceled_dao.html" title="class in dao">Canceled_dao</a></td>
<th class="colLast" scope="row">
<div class="block">Se stabileste legatura cu baza de date si se aplica inerogarile pe tabele.</div>
</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="model/Canceled_order.html" title="class in model">Canceled_order</a></td>
<th class="colLast" scope="row">
<div class="block">Model pentru comenzi anulate.</div>
</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="model/Client.html" title="class in model">Client</a></td>
<th class="colLast" scope="row">
<div class="block">Model pentru client.</div>
</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="bll/Client_bll.html" title="class in bll">Client_bll</a></td>
<th class="colLast" scope="row">
<div class="block">Clasa pentru interactiunea cu baza de date.</div>
</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="dao/Client_dao.html" title="class in dao">Client_dao</a></td>
<th class="colLast" scope="row">
<div class="block">Se stabileste legatura cu baza de date si se aplica inerogarile pe tabele.</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Crearea unei conexiuni cu baza de date</div>
</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="start/Generator.html" title="class in start">Generator</a></td>
<th class="colLast" scope="row">
<div class="block">Aceasta clasa se ocupa cu instructiunile de inserare, stergere si update.</div>
</th>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><a href="start/Generator_report.html" title="class in start">Generator_report</a></td>
<th class="colLast" scope="row">
<div class="block">Se genereaza rapoartele pdf ale tabelelor dorite.</div>
</th>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><a href="start/Instructiune.html" title="class in start">Instructiune</a></td>
<th class="colLast" scope="row">
<div class="block">In aceasta clasa se decodifica instructiunea din linia fisierului de intrare: se extrag datele clientului, produsului sau a comenzii.</div>
</th>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><a href="Main.html" title="class in &lt;Unnamed&gt;">Main</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><a href="model/Order.html" title="class in model">Order</a></td>
<th class="colLast" scope="row">
<div class="block">Model pentru comanda.</div>
</th>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><a href="bll/Order_bll.html" title="class in bll">Order_bll</a></td>
<th class="colLast" scope="row">
<div class="block">Clasa pentru interactiunea cu baza de date</div>
</th>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><a href="dao/Order_dao.html" title="class in dao">Order_dao</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><a href="model/Product.html" title="class in model">Product</a></td>
<th class="colLast" scope="row">
<div class="block">Model pentru produs</div>
</th>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><a href="bll/Product_bll.html" title="class in bll">Product_bll</a></td>
<th class="colLast" scope="row">
<div class="block">Clasa pentru interactiunea cu baza de date.</div>
</th>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><a href="dao/Product_dao.html" title="class in dao">Product_dao</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
